Skip to main content
POST
Create Product Variant

Authorizations

X-Authorization
string
header
required

API Scope: "Product (write)"

Path Parameters

productId
integer
required

The unique Loop identifier of the parent product.

Body

application/json
name
string
required

The name of the product variant.

Maximum string length: 255
Example:

"Classic Brown Dress Shoes - Size 12"

external_id
string | null

The provided external_id must be unique. If a non-unique external_id is provided, the API will respond with an error.

Maximum string length: 64
Example:

"564400c7-7a6b-4f29-b6a5-7bb580b2992c"

sku
string | null

The SKU of the product variant.

Maximum string length: 255
Example:

"SHOES-US44-M-Brwn"

weight_grams
integer | null

The weight of the product variant in grams.

Example:

440

barcode
string | null

The barcode of the product variant.

Maximum string length: 255
Example:

712345000019

price
object | null

The price of the product variant in minor units, such as cents, with its corresponding currency.

Example:
images
string<uri>[] | null
Minimum string length: 1
options
ProductVariantOption · object[] | null

An array of optional features or characteristics of the product variant that can be selected by the customer.

logistics_information
ProductVariantLogisticsInformation · object | null

The logistics information for the product variant such as code classification, shipping, and cost.

dimensions
ProductVariantDimensions · object | null

The dimensions of the product variant, interpreted as inches. Optional and nullable. When provided, depth, width, and height are all required.

Response

Success

product_variant
ProductVariantResponse · object